#include<iostream>
using namespace std;
int main()
{
    int n, k, poz;
    cin >> n >> k;
    int a[n];
    for(int i=0;i<n;i++)
        cin >> a[i];
    if(k==a[n-1]) 
        cout << a[0];
    else {
        poz = 0;
        while(k!=a[poz] && poz<n)
            poz++;
        cout << poz;
    }
    return 0;
}